#
# spec file for package plucker (Version 1.2)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  ImageMagick cstools freetype2 ghostscript-fonts-std ghostscript-library ghostscript-x11 latex2html latex2html-pngicons libjpeg liblcms libnetpbm libpng-devel-packages libtiff libxml2 netpbm openssl ppmtoTbmp python te_latex tetex x-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel ImageMagick XFree86-devel XFree86-libs autoconf automake binutils bzip2 cracklib cstools freetype2 gcc gdbm gettext ghostscript-fonts-std ghostscript-library ghostscript-x11 latex2html latex2html-pngicons libjpeg liblcms libnetpbm libpng libpng-devel libtiff libtool libxml2 netpbm openssl perl ppmtoTbmp python rpm te_ams te_latex tetex

Name:         plucker
License:      GPL
Group:        Hardware/Palm
Requires:     perl python ppmtoTbmp jpeg
Autoreqprov:  on
Version:      1.2
Release:      121
Source:       %{name}_bin-%{version}.tar.bz2
Patch:        %{name}-%{version}.diff
Patch1:       %{name}-%{version}-rm-desktop.diff
Patch2:       %{name}-%{version}-python_2.2.2-fix.diff
URL:          http://plucker.gnu-designs.com
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      A free offline HTML viewer for your Palm Pilot

%description
Plucker is a suite of programs which provide an off-line HTML viewer
for 3Com's PalmOS systems. It's free under the conditions of the Free
Software Foundation's General Public License, so you can copy, change,
or even sell this program without giving anyone any money, as long as
you make the source code (and your changes, if any) publicly available.

Plucker increase the utility of your hand-held device by letting you
view web pages and any document that can be converted to HTML or text.
Plucker has many advanced features including the ability to read web
pages with embedded images, an advanced find function, the ability to
open an e-mail form when tapping on mail-links in web documents, an
impressive compression ratio for the documents and an open, documented
DB format. It can also be customized for your specific needs.



Authors:
--------
    Plucker Devel Team <plucker-dev@rubberchicken.org>

%prep
%setup
%patch
%patch1
%patch2

%build
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{_prefix} \
            --mandir=%{_mandir} \
            --with-docdir=%{_prefix}/share/doc/packages/plucker \
            --with-pluckerdir=%{_prefix}/share/plucker \
	    --disable-docbuild \
	    --disable-desktopbuild \
            --disable-unpluck \
	    --libdir=%{_libdir} \
            --with-libname=%{_lib}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/bin
make DESTDIR=$RPM_BUILD_ROOT install
%define python_site %(echo `python -c "import site; print site.sitedirs[0];"`)
%define PyDir %{python_site}/PyPlucker 
ln -s %{PyDir}/Spider.py  $RPM_BUILD_ROOT/%{_prefix}/bin/plucker-build
ln -s %{PyDir}/PluckerDocs.py $RPM_BUILD_ROOT/%{_prefix}/bin/plucker-decode
ln -s %{PyDir}/Decode.py $RPM_BUILD_ROOT/%{_prefix}/bin/plucker-dump

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc BUGREPORT FAQ NEWS README REQUIREMENTS AUTHORS TODO CREDITS
%{_prefix}/share/man/man1/plucker-*
%{_prefix}/bin/plucker-*
%{python_site}/PyPlucker/
%{_prefix}/share/plucker/

%changelog -n plucker
* Tue Aug 05 2003 - postadal@suse.cz
- fixed to work with python 2.2 [#28420] (python_2.2.2-fix.diff)
* Fri Jan 17 2003 - postadal@suse.cz
- updated to version 1.2.0
  * added some man pages
  * sorting db according to name, date or size in both order
  * autoscroll support
- patch to remove compiling removed plucker desktop
* Wed Oct 30 2002 - ro@suse.de
- changed neededforbuild <l2h> to <latex2html>
* Sat Jul 27 2002 - adrian@suse.de
- fix neededforbuild
* Mon May 27 2002 - postadal@suse.cz
- used macro %%{_libdir}
* Sat Mar 23 2002 - ro@suse.de
- changed neededforbuild <l2h> to <l2h l2h-pngicons>
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Nov 13 2001 - tcrhak@suse.cz
- update to version 1.1.13
- patch plucker-1.1.13.diff - don't rely on default
-                             output of identify
* Thu Aug 09 2001 - ro@suse.de
- fixed typo in specfile
* Wed Aug 08 2001 - ro@suse.de
- use macro for python dir
* Wed Aug 08 2001 - adostal@suse.cz 
- update to version 1.1.9
- fixed spec file
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Wed Jun 13 2001 - pblaha@suse.cz
- add libxml2 to #needforbuild for ImageMagic
* Tue May 22 2001 - pblaha@suse.cz
- add Requires: jpeg for netpbm parser
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Wed Apr 11 2001 - pblaha@suse.cz
- update on 1.1 version
* Wed Mar 14 2001 - ro@suse.de
- added freetype (needed by convert)
* Tue Mar 13 2001 - ro@suse.de
- added liblcms (needed by convert)
* Wed Mar 07 2001 - pblaha@suse.cz
- create this package for offline web browsing on Palm
